Search Type: Posts; User: Jacky Nguyen

Page 1 of 5 1 2 3 4

Search: Search took 0.03 seconds.

  1. PM me with a zip of your app then.
  2. Require 'Ext.DateExtras', i.e Ext.require('Ext.DateExtras'), then use Ext.Date.parseDate()
  3. Do you have a public-accessible URL to your app so we can dig in?
  4. Gzipping HTTP content is not considered "optional" nowadays, especially in the mobile world. Without compression the clients needlessly have to transfer ~ 5, 6 times more data, results in waste of...
  5. Since you're using Apache, why not just turn on mod_deflate
  6. You should have gzip enabled for JS / CSS assets and / or SSL on your server. Tampering with content being delivered to client devices (stripping out comments from JS / CSS files) is the ISP's fault....
  7. Ext.browser.is.WebView is what you need.
  8. You have to 'cd' into the newly downloaded & extracted directory before running 'sencha app upgrade'. Without doing that, obviously the command has no idea what SDK you want to upgrade your app to.
    ...
  9. Since they're raw JSON content, usually the client has to retrieve them via XHRs. There's no need to list them out at all inside app.json. However this leads to multiple extra requests every time...
  10. I saw that you listed a bunch of .json files inside the "js" array, which obviously won't work. Take those out and try again. Paste the whole output here if it still doesn't work.
  11. Replies
    6
    Views
    1,195
    'flex' only exists in a Box layout, not Card. Again you need to give the card container a size, either by explicit width / height, or by containing it inside another container that can give it size.
  12. What's the content of your app.json?
  13. Replies
    6
    Views
    1,195
    A card layout container must have a height (or is given a height by its container's layout), simply because card items are absolute positioned elements, and they take whatever size their container...
  14. Try the first and second test cases on my post, they're both working. In these cases 'painted' is fired right after the component is rendered. In the third case, it fires when the component becomes...
  15. Replies
    5
    Views
    1,320
    If you're using all of them, yes. Require what you use.
  16. What you've described is exactly what 'painted' event is for, and it does work as expected. Some examples:



    Ext.Viewport.add({
    html: 'Foo',
    listeners: {
    painted: function() {...
  17. You guys are probably using sencha-touch-all-debug.js, only sencha-touch-debug.js currently has that little code appended. I've put it in for the 'all' version as well for 2.0.1 release.
  18. You're likely using sencha-touch-all-debug.js instead of sencha-touch-debug.js.

    sencha-touch-debug.js is the development version of Sencha Touch Core, and it has pre-mappings for aliases and...
  19. It is expected behavior by design. The original object will be modified. If you want to make a copy instead, pass an empty object as the first argument:



    var merged = Ext.merge({}, foo, bar,...
  20. Replies
    13
    Views
    2,738
    Alright I think we're close to know exactly why. The only difference I could see is the explicit ".exe" extension. Let's find out by firing up the Node.js shell:



    "C:\Program Files...
  21. Replies
    13
    Views
    2,738
    That probably means there's an issue when Node.js tries to invoke the external command on your machine.

    Could you open


    ...
  22. Replies
    13
    Views
    2,738
    Same current working directory, can you run this command:



    "C:\Program Files (x86)\SenchaSDKTools-2.0.0-beta2\bin\phantomjs.exe"...
  23. It does, unless there's a line in your code setting 'disableCaching' to false explicitly, which will override that.
  24. Use sencha-touch-debug.js for development, then follow the warnings to add explicit requires. sencha-touch.js is for production, there's no extra pre-mapping code to aid dynamic loading.
  25. Replies
    13
    Views
    2,738
    Does running:



    sencha app resolve http://localhost/senchatouch/apps/leica/Deploy/index.html dependencies.json


    give the same error?

    Also where did you install SDK Tools?
Results 1 to 25 of 119
Page 1 of 5 1 2 3 4